### Method

# EDataBook DataBookView dup_contacts

since: 3.50

#### Declaration [src]

    GPtrArray*
    e_data_book_view_dup_contacts (
      EDataBookView* self,
      guint range_start,
      guint range_length
    )

#### Description [src]

Reads `range_length` contacts from index `range_start`. When there are asked more than `e_data_book_view_get_n_total()` contacts only those up to the total number of contacts are read.

Free the returned `GPtrArray` with g_ptr_array_unref(), when no longer needed.

Note: This function can be used only with `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY`.

Available since: 3.50

#### Parameters

`range_start`

  Type: `guint`

  0-based range start to retrieve the contacts for.

`range_length`

  Type: `guint`

  How many contacts to retrieve.

#### Return value

Type: An array of `EContact*`

Array of the read contacts, or `NULL`, when not applicable or when the `range_start` it out of bounds.

The caller of the method takes ownership of the returned data container, but not the data inside it.
The return value can be `NULL`.